<?php
if ($nom=='FORM') {
  $this->action = (!empty($attributs["ACTION"])) ? $attributs["ACTION"] : '' ;
  $this->method = (!empty($attributs["METHOD"])) ? $attributs["METHOD"] : '' ;

  $format="<form ";
  if (!empty($this->action))$format .=" action=\"".$this->action."\"";
  if (!empty($this->method))$format .=" method=\"".$this->method."\"";
  if (!empty($this->style))$format .=" style=\"".$this->style."\"";
  if (!empty($this->classe))$format .=" class=\"".$this->classe."\"";
  if (isset($this->onmouseover)) $format .=" ".$this->onmouseover;
  if (isset($this->onmouseout)) $format .=" ".$this->onmouseout;
  if (isset($this->onclick)) $format .=" onclick=\"".$this->onclick."\"";
  if (isset($this->onmouseup)) $format .=" ".$this->onmouseup;
  if (isset($this->onmousedown)) $format .=" ".$this->onmousedown;
  if (isset($this->onblur)) $format .=" ".$this->onblur;
  if (isset($this->js)) $format .=" ".$this->js;
  $format .=">";
  print($format);
}
elseif ($nom=='LABEL') {
  $this->for = (!empty($attributs["FOR"])) ? $attributs["FOR"] : '' ;
}
elseif ($nom=='INPUT') {
  $this->type = (!empty($attributs["TYPE"])) ? $attributs["TYPE"] : '' ;
  $this->src = (!empty($attributs["SRC"])) ? $attributs["SRC"] : '' ;
  $this->name = (!empty($attributs["NAME"])) ? $attributs["NAME"] : '' ;
  $this->border = (!empty($attributs["BORDER"])) ? $attributs["BORDER"] : '' ;
  $this->value = (!empty($attributs["VALUE"])) ? $attributs["VALUE"] : '' ;
}


?>